//************************************************
// Butt Railer by claudec
//************************************************
//
//++++++++++++++++++++++++++++++++++++++++++++++++
// The shaders are almost always from original ID shaders.  I find a shader that is close to what I want,
// and then change it as needed (or as my limit shader skills allow).  I tried to note what I did.
// Unfortunatly by the time I get to writting those notes I have forgotten what the original ID shaders were:(
//
//
//

textures/buttrailer/xenzone
{
       // Modified from original ID shader.  Changed it to use custom skybox.
       //Primordial Soup skybox
	qer_editorimage textures/qercustom/forge_up.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	//rt
	//q3map_sun 0.759168 0.547029 0.334088 50 112 90

	// up
	//q3map_sun 0.316431 0.202976 0.179420 50 112 90

	// dn
	q3map_sun 0.892617 0.752901 0.566617 50 112 90

	q3map_surfacelight 50
	skyparms env/buttrailer/forge 384 -

}

textures/buttrailer/lavahellcc_200
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 15
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
}


textures/splunge/tesla_redcc01
{
         //Modified from original ID shader. I took that sool telsa coil shader and stuck in a blue cloudy
         //thingy I snaged out of another ID shader.  I got the iudea when I had all the sfx shaders displayed
         // in a test room and noticed that these two shaders might look cool if the waving blue effect and telsa
         //coil effect were in the same shader.  Looks nice on a sphere!

	cull none
	q3map_lightimage textures/sfx/tesla1b.tga	
	q3map_surfacelight 100
	qer_editorimage textures/sfx/tesla1.jpg
	surfaceparm nolightmap
	
	

	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}

	
	{
		map textures/sfx/electricslime2.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}

	{
		map textures/ctf/red_telep.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		tcGen environment
		tcMod turb 0 0.25 0 0.05
	}


	{
		map textures/sfx/tesla1b.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}